# Rank any collections in batches with OpenSea API

You may use the rarity resolver tool to either view ranking scores across providers, or to debug any collections scoring. Follow these steps to score the collection with the tool (by calling OpenSea API):

* Curate the [collections list ](https://github.com/ProjectOpenSea/open-rarity/blob/main/open_rarity/data/test_collections.json)you want to score with OpenRarity
* Run scoring for these collections with the following command:

  ```shell
  python -m open_rarity.resolver.testset_resolver # without external rarity resolution
  python -m open_rarity.resolver.testset_resolver external # with external rarity resolution
  ```
* Inspect scoring log file and csv files with ranking result.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://openrarity.gitbook.io/developers/quick-guides/rank-any-collections-in-batches-with-opensea-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
